#!/bin/sh

# Number of files you want to keep
# Since proxylogrotate runs every 15 minutes viz cron
# Keeping 4 files equals 1 hour of logs
KEEPFILES="4"

mydate=`date +%Y%m%d%H%M`

# Old log paths
#cd /tmp/log/dansguardian
#if [ -e access.log ] ; then
#	cp access.log access.log.OLD
#	cat /dev/null > access.log
#fi

#cd /tmp/log
#if [ -e tinyproxy.log ] ; then
#	cat /dev/null > tinyproxy.log
#fi

cd /packetprotector/logs/dansguardian
if [ -e access.log ] ; then
#	cp access.log access.log.OLD
	cp access.log access.log.$mydate
	cat /dev/null > access.log
fi

# Redundant as this gets done in logrotate as well
# Also, the tinyproxy.log file is empty.
cd /packetprotector/logs
if [ -e tinyproxy.log ] ; then
	cat /dev/null > tinyproxy.log
fi

# Clean the log directory of oldest file.
NUM_FILES=`ls -l /packetprotector/logs/dansguardian/access.log.* | wc -l`
if [ $NUM_FILES -gt $KEEPFILES ] ; then
	rm -f `ls -tr /packetprotector/logs/dansguardian/access.log.* | head -n 1`
fi
